低危 ImageMagick 7.0.8-34 coders/dpx.c WriteDPXImage 资源管理漏洞

CVE编号

CVE-2019-12975

利用情况

暂无

补丁情况

官方补丁

披露时间

2019-06-27
漏洞描述
ImageMagick 7.0.8-34在coders / dpx.c中的WriteDPXImage函数中存在一个内存泄漏漏洞。
解决建议
厂商已发布了漏洞修复程序,请及时关注更新:https://www.imagemagick.org/download/beta/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 imagemagick imagemagick 7.0.8-34 -
运行在以下环境
系统 redhat_7 inkscape * Up to
(excluding)
0:0.92.2-3.el7
运行在以下环境
系统 suse_12 ImageMagick * Up to
(excluding)
6.8.8.1-71.126
运行在以下环境
系统 ubuntu_16.04.7_lts imagemagick * Up to
(excluding)
8:6.8.9.9-7ubuntu5.15
运行在以下环境
系统 ubuntu_16.04_lts imagemagick * Up to
(excluding)
8:6.8.9.9-7ubuntu5.15
运行在以下环境
系统 ubuntu_18.04.5_lts imagemagick * Up to
(excluding)
8:6.9.7.4+dfsg-16ubuntu6.8
运行在以下环境
系统 ubuntu_18.04_lts imagemagick * Up to
(excluding)
8:6.9.7.4+dfsg-16ubuntu6.8
阿里云评分
2.9
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-401 在移除最后引用时对内存的释放不恰当(内存泄露)
阿里云安全产品覆盖情况